| Qore Qorize Module Reference 0.1.2

Loading...
Searching...
No Matches
Functions
Qorize Namespace Reference

public Qorize namespace contains all relevant stuff for this module More...

## Functions
string | qorize (auto val, string name='var', bool newstyle=True)
| create code from the any value - fallback for NULL and NOTHINGS
string | qorize (binary val, string name='var', bool newstyle=True)
| create code from the binary value
string | qorize (bool val, string name='var', bool newstyle=True)
| create code from the boolean value
string | qorize (date val, string name='var', bool newstyle=True)
| create code from the date value
string | qorize (float val, string name='var', bool newstyle=True)
| create code from the float value
string | qorize (hash val, string name='var', bool newstyle=True, int indentation=2, bool curlyHash=True)
| create code from the hash value
string | qorize (int val, string name='var', bool newstyle=True)
| create code from the integer value
string | qorize (list val, string name='var', bool newstyle=True, int indentation=2, bool curlyHash=True)
| create code from the list value
string | qorize (number val, string name='var', bool newstyle=True)
| create code from the number value
string | qorize (object val, string name='var', bool newstyle=True, int indentation=2, bool curlyHash=True)
| create code from the object value. Just initializes object with empty constructor. To initilize members use qorize_named() function
string | qorize (string val, string name='var', bool newstyle=True)
| create code from the string value
string | qorize_named (auto val, string name='var', bool newstyle=True)
| Process other types normal way using qorize().
string | qorize_named (hash val, string name='var', bool newstyle=True)
| create code from the hash value - with one value per one line
string | qorize_named (list val, string name='var', bool newstyle=True)
| create code from the list value.
string | qorize_named (object val, string name='var', bool newstyle=True)
| create code from the object value, constructor with empty parameters is called and members are created with one member per line. It may not generate valid code as because of private members and overloaded constructor. Circular references are handled to avoid endless loop.
string | qorize_val (auto val)
| create code without any variable assignment (lvalue)
string | qorize_val (hash val, int indentation=2, bool curlyHash=True)
| create code without any variable assignment (lvalue)
string | qorize_val (list val, int indentation=2, bool curlyHash=True)
| create code without any variable assignment (lvalue)
deprecated string | qorizeNamed (hash val, string name='var', bool newstyle=True)
| Deprecated, use qorize_named() instead.

## Detailed Description

public Qorize namespace contains all relevant stuff for this module